<div class="centered">
  <div *ngIf="isFetching; else noFetching">
    <mat-spinner></mat-spinner>
  </div>
  <ng-template #noFetching>
    <form [formGroup]="stockForm">
      <div formArrayName="inventories">
        <div *ngFor="let inventory of stockFormInventories.controls; let i = index"
          [formGroupName]="i"
        >
          <mat-form-field appearance=fill floatLabel="always">
            <mat-label class="text">Banknote</mat-label>
            <input matInput
                   class="centeredText"
                   type="text"
                   formControlName="banknote"
                   readonly="true">
          </mat-form-field>
          <mat-form-field appearance=fill floatLabel="always">
            <mat-label class="text">Quantity</mat-label>
            <input matInput
                   type="number"
                   class="centeredText"
                   formControlName="quantity"
                   [readonly]="!this.editMode">
            <mat-icon matPrefix *ngIf="this.editMode">settings</mat-icon>
            <mat-error *ngIf="stockFormInventories.controls[i].invalid">Positive quantity required</mat-error>
          </mat-form-field>
        </div>
      </div>
    </form>
    <mat-divider></mat-divider>
    <div class="buttons">
      <button mat-raised-button
              color="primary"
              (click)="onEdit()"
              [disabled]="this.editMode">
        EDIT</button>
      <button mat-raised-button
              color="primary"
              [disabled]="stockForm.invalid"
              (click)="onTap()">
        {{title}}</button>
    </div>
  </ng-template>
</div>

